<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/core/Config.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_3d69f64eaf81436fe2b22361382717e5.html">core</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">Config.hpp File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="Config_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a703b3a9d46933243c86e843750a39520"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a703b3a9d46933243c86e843750a39520">GG_WINDOW_WIDTH</a>&#160;&#160;&#160;(1200)</td></tr>
<tr class="separator:a703b3a9d46933243c86e843750a39520"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7182ef844ed986db214622b12069ccf4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a7182ef844ed986db214622b12069ccf4">GG_WINDOW_HEIGHT</a>&#160;&#160;&#160;(800)</td></tr>
<tr class="separator:a7182ef844ed986db214622b12069ccf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a958d3e063e074f89e91240a39cf0c692"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a958d3e063e074f89e91240a39cf0c692">GG_FULLSCREEN_WINDOW_WIDTH</a>&#160;&#160;&#160;(sf::VideoMode::getDesktopMode().width)</td></tr>
<tr class="separator:a958d3e063e074f89e91240a39cf0c692"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac604c821eb5da7dc33e87c2a5ca9549f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#ac604c821eb5da7dc33e87c2a5ca9549f">GG_FULLSCREEN_WINDOW_HEIGHT</a>&#160;&#160;&#160;(sf::VideoMode::getDesktopMode().height)</td></tr>
<tr class="separator:ac604c821eb5da7dc33e87c2a5ca9549f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7c4ee6df9bbadc873d430d4fd7eba4d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#ae7c4ee6df9bbadc873d430d4fd7eba4d">GG_WINDOW_TITLE</a>&#160;&#160;&#160;(std::string(&quot;Graditelj Gradova&quot;))</td></tr>
<tr class="separator:ae7c4ee6df9bbadc873d430d4fd7eba4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11114738dac7e4b6f9158d87a8531007"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a11114738dac7e4b6f9158d87a8531007">GG_WINDOW_VERTICAL_SYNC</a></td></tr>
<tr class="separator:a11114738dac7e4b6f9158d87a8531007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add78e49e1f3abaf2cec1a851aaa59982"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#add78e49e1f3abaf2cec1a851aaa59982">GG_RESOURCES_PATH</a>&#160;&#160;&#160;(std::string(&quot;resources/&quot;))</td></tr>
<tr class="separator:add78e49e1f3abaf2cec1a851aaa59982"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adabb0747134e3860e29e4daefa69d0e1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#adabb0747134e3860e29e4daefa69d0e1">GG_RESOURCES_FONTS_FILENAME</a>&#160;&#160;&#160;(std::string(&quot;Fonts.xml&quot;))</td></tr>
<tr class="separator:adabb0747134e3860e29e4daefa69d0e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85516d5714d022ec224092b4b8585458"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a85516d5714d022ec224092b4b8585458">GG_RESOURCES_SCENES_FILENAME</a>&#160;&#160;&#160;(std::string(&quot;Scenes.xml&quot;))</td></tr>
<tr class="separator:a85516d5714d022ec224092b4b8585458"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5d8b2f27350dcf8e89987c26b53b87d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#ad5d8b2f27350dcf8e89987c26b53b87d">GG_RESOURCES_STYLE_FILENAME</a>&#160;&#160;&#160;(std::string(&quot;Style.xml&quot;))</td></tr>
<tr class="separator:ad5d8b2f27350dcf8e89987c26b53b87d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb3293eeb31d3b7cd1fef2b420f8e60a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#adb3293eeb31d3b7cd1fef2b420f8e60a">GG_RESOURCES_TEXTURES_FILENAME</a>&#160;&#160;&#160;(std::string(&quot;Textures.xml&quot;))</td></tr>
<tr class="separator:adb3293eeb31d3b7cd1fef2b420f8e60a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f52b7f0291ff8218ce7045813cc9ab9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a2f52b7f0291ff8218ce7045813cc9ab9">GG_RESOURCES_IMAGES_FILENAME</a>&#160;&#160;&#160;(std::string(&quot;Images.xml&quot;))</td></tr>
<tr class="separator:a2f52b7f0291ff8218ce7045813cc9ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa390ccb720d0cd038f0189d31d6ac1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#afaa390ccb720d0cd038f0189d31d6ac1">GG_RESOURCES_MUSIC</a>&#160;&#160;&#160;(std::string(&quot;music/music1.wav&quot;))</td></tr>
<tr class="separator:afaa390ccb720d0cd038f0189d31d6ac1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fe93b2e738d9e1982cb6ba13873387a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a8fe93b2e738d9e1982cb6ba13873387a">GG_RESOURCES_MAP_DEFAULT</a>&#160;&#160;&#160;(std::string(&quot;maps/DefaultMap.xml&quot;))</td></tr>
<tr class="separator:a8fe93b2e738d9e1982cb6ba13873387a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ad9275fad99783624dbbf2299521174"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a2ad9275fad99783624dbbf2299521174">GG_RESOURCES_SAVE_POZAREVAC</a>&#160;&#160;&#160;(std::string(&quot;saves/Pozarevac.xml&quot;))</td></tr>
<tr class="separator:a2ad9275fad99783624dbbf2299521174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6e256990e55be1d6c0e20dba15e1f26"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#ae6e256990e55be1d6c0e20dba15e1f26">GG_RESOURCES_SAVE_TRSTENIK</a>&#160;&#160;&#160;(std::string(&quot;saves/Trstenik.xml&quot;))</td></tr>
<tr class="separator:ae6e256990e55be1d6c0e20dba15e1f26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52d0ff63f9b45c27f17b2b2270b2d01a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a52d0ff63f9b45c27f17b2b2270b2d01a">GG_RESOURCES_SAVE_UB</a>&#160;&#160;&#160;(std::string(&quot;saves/Ub.xml&quot;))</td></tr>
<tr class="separator:a52d0ff63f9b45c27f17b2b2270b2d01a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd382640b1e15deef66c01d00188c739"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#acd382640b1e15deef66c01d00188c739">GG_RESOURCES_SAVE_BLACE</a>&#160;&#160;&#160;(std::string(&quot;saves/Blace.xml&quot;))</td></tr>
<tr class="separator:acd382640b1e15deef66c01d00188c739"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9f79fc2b8132a26ffc2e8c762e41c38"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#ac9f79fc2b8132a26ffc2e8c762e41c38">GG_RESOURCES_SAVE_BEOGRAD</a>&#160;&#160;&#160;(std::string(&quot;saves/Beograd.xml&quot;))</td></tr>
<tr class="separator:ac9f79fc2b8132a26ffc2e8c762e41c38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7a8ca1eb30ce83e20be112cdcf607f7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#ab7a8ca1eb30ce83e20be112cdcf607f7">GG_SAVE_GAME</a></td></tr>
<tr class="separator:ab7a8ca1eb30ce83e20be112cdcf607f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fd259662376330e341897ec0855febe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a2fd259662376330e341897ec0855febe">GG_ROTATE_TILE</a>&#160;&#160;&#160;(sf::Keyboard::R)</td></tr>
<tr class="separator:a2fd259662376330e341897ec0855febe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5bda83d1b8fc854f4903f385fa6abed"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#ab5bda83d1b8fc854f4903f385fa6abed">GG_DEMOLISH_TILE</a>&#160;&#160;&#160;(sf::Keyboard::Space)</td></tr>
<tr class="separator:ab5bda83d1b8fc854f4903f385fa6abed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a136269eea328d2d0c2a154ae46dfc8f9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a136269eea328d2d0c2a154ae46dfc8f9">GG_PLACE_TILE</a>&#160;&#160;&#160;(sf::Mouse::Right)</td></tr>
<tr class="separator:a136269eea328d2d0c2a154ae46dfc8f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a860222dded3c5b0c1d9fd97f8b973e22"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a860222dded3c5b0c1d9fd97f8b973e22">GG_PAUSE_GAME</a>&#160;&#160;&#160;(sf::Keyboard::Escape)</td></tr>
<tr class="separator:a860222dded3c5b0c1d9fd97f8b973e22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d61fddf4ee0bb75d42bf399631e2734"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a6d61fddf4ee0bb75d42bf399631e2734">GG_MOVE_CAMERA_UP</a>&#160;&#160;&#160;(sf::Keyboard::W)</td></tr>
<tr class="separator:a6d61fddf4ee0bb75d42bf399631e2734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6b54ee6fce102c162d327d1d73b3a11"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#af6b54ee6fce102c162d327d1d73b3a11">GG_MOVE_CAMERA_LEFT</a>&#160;&#160;&#160;(sf::Keyboard::A)</td></tr>
<tr class="separator:af6b54ee6fce102c162d327d1d73b3a11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab214afe5195680e3a83588899aa41cd2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#ab214afe5195680e3a83588899aa41cd2">GG_MOVE_CAMERA_DOWN</a>&#160;&#160;&#160;(sf::Keyboard::S)</td></tr>
<tr class="separator:ab214afe5195680e3a83588899aa41cd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab956f6b2a16dd14f7f29102ee48fb9d1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#ab956f6b2a16dd14f7f29102ee48fb9d1">GG_MOVE_CAMERA_RIGHT</a>&#160;&#160;&#160;(sf::Keyboard::D)</td></tr>
<tr class="separator:ab956f6b2a16dd14f7f29102ee48fb9d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35ce89c7086864fb8c83748d47206d1e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a35ce89c7086864fb8c83748d47206d1e">GG_MOVE_CAMERA_DIAGONALLY_DOWN_LEFT</a></td></tr>
<tr class="separator:a35ce89c7086864fb8c83748d47206d1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac54ad5a87f1a7298f2c79eceb01bd9b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#ac54ad5a87f1a7298f2c79eceb01bd9b7">GG_MOVE_CAMERA_DIAGONALLY_DOWN_RIGHT</a></td></tr>
<tr class="separator:ac54ad5a87f1a7298f2c79eceb01bd9b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63692b43b143b63cef86c7e040028a8b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a63692b43b143b63cef86c7e040028a8b">GG_MOVE_CAMERA_DIAGONALLY_UP_LEFT</a></td></tr>
<tr class="separator:a63692b43b143b63cef86c7e040028a8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85df6a0893f3f70067c7b5f3ad65c539"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a85df6a0893f3f70067c7b5f3ad65c539">GG_MOVE_CAMERA_DIAGONALLY_UP_RIGHT</a></td></tr>
<tr class="separator:a85df6a0893f3f70067c7b5f3ad65c539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aaffebc61434437c93750dd8251a1b8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Config_8hpp.html#a2aaffebc61434437c93750dd8251a1b8">GG_TEST_SCENE_NODE</a></td></tr>
<tr class="separator:a2aaffebc61434437c93750dd8251a1b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ab5bda83d1b8fc854f4903f385fa6abed" name="ab5bda83d1b8fc854f4903f385fa6abed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5bda83d1b8fc854f4903f385fa6abed">&#9670;&nbsp;</a></span>GG_DEMOLISH_TILE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_DEMOLISH_TILE&#160;&#160;&#160;(sf::Keyboard::Space)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac604c821eb5da7dc33e87c2a5ca9549f" name="ac604c821eb5da7dc33e87c2a5ca9549f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac604c821eb5da7dc33e87c2a5ca9549f">&#9670;&nbsp;</a></span>GG_FULLSCREEN_WINDOW_HEIGHT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_FULLSCREEN_WINDOW_HEIGHT&#160;&#160;&#160;(sf::VideoMode::getDesktopMode().height)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a958d3e063e074f89e91240a39cf0c692" name="a958d3e063e074f89e91240a39cf0c692"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a958d3e063e074f89e91240a39cf0c692">&#9670;&nbsp;</a></span>GG_FULLSCREEN_WINDOW_WIDTH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_FULLSCREEN_WINDOW_WIDTH&#160;&#160;&#160;(sf::VideoMode::getDesktopMode().width)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a35ce89c7086864fb8c83748d47206d1e" name="a35ce89c7086864fb8c83748d47206d1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35ce89c7086864fb8c83748d47206d1e">&#9670;&nbsp;</a></span>GG_MOVE_CAMERA_DIAGONALLY_DOWN_LEFT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_MOVE_CAMERA_DIAGONALLY_DOWN_LEFT</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">    ((sf::Keyboard::isKeyPressed(<a class="code hl_define" href="Config_8hpp.html#ab214afe5195680e3a83588899aa41cd2">GG_MOVE_CAMERA_DOWN</a>) &amp;&amp;                       \</div>
<div class="line">      sf::Keyboard::isKeyPressed(<a class="code hl_define" href="Config_8hpp.html#af6b54ee6fce102c162d327d1d73b3a11">GG_MOVE_CAMERA_LEFT</a>)))</div>
<div class="ttc" id="aConfig_8hpp_html_ab214afe5195680e3a83588899aa41cd2"><div class="ttname"><a href="Config_8hpp.html#ab214afe5195680e3a83588899aa41cd2">GG_MOVE_CAMERA_DOWN</a></div><div class="ttdeci">#define GG_MOVE_CAMERA_DOWN</div><div class="ttdef"><b>Definition:</b> Config.hpp:35</div></div>
<div class="ttc" id="aConfig_8hpp_html_af6b54ee6fce102c162d327d1d73b3a11"><div class="ttname"><a href="Config_8hpp.html#af6b54ee6fce102c162d327d1d73b3a11">GG_MOVE_CAMERA_LEFT</a></div><div class="ttdeci">#define GG_MOVE_CAMERA_LEFT</div><div class="ttdef"><b>Definition:</b> Config.hpp:34</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="ac54ad5a87f1a7298f2c79eceb01bd9b7" name="ac54ad5a87f1a7298f2c79eceb01bd9b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac54ad5a87f1a7298f2c79eceb01bd9b7">&#9670;&nbsp;</a></span>GG_MOVE_CAMERA_DIAGONALLY_DOWN_RIGHT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_MOVE_CAMERA_DIAGONALLY_DOWN_RIGHT</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">    ((sf::Keyboard::isKeyPressed(<a class="code hl_define" href="Config_8hpp.html#ab214afe5195680e3a83588899aa41cd2">GG_MOVE_CAMERA_DOWN</a>) &amp;&amp;                       \</div>
<div class="line">      sf::Keyboard::isKeyPressed(<a class="code hl_define" href="Config_8hpp.html#ab956f6b2a16dd14f7f29102ee48fb9d1">GG_MOVE_CAMERA_RIGHT</a>)))</div>
<div class="ttc" id="aConfig_8hpp_html_ab956f6b2a16dd14f7f29102ee48fb9d1"><div class="ttname"><a href="Config_8hpp.html#ab956f6b2a16dd14f7f29102ee48fb9d1">GG_MOVE_CAMERA_RIGHT</a></div><div class="ttdeci">#define GG_MOVE_CAMERA_RIGHT</div><div class="ttdef"><b>Definition:</b> Config.hpp:36</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="a63692b43b143b63cef86c7e040028a8b" name="a63692b43b143b63cef86c7e040028a8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63692b43b143b63cef86c7e040028a8b">&#9670;&nbsp;</a></span>GG_MOVE_CAMERA_DIAGONALLY_UP_LEFT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_MOVE_CAMERA_DIAGONALLY_UP_LEFT</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">    ((sf::Keyboard::isKeyPressed(<a class="code hl_define" href="Config_8hpp.html#a6d61fddf4ee0bb75d42bf399631e2734">GG_MOVE_CAMERA_UP</a>) &amp;&amp;                         \</div>
<div class="line">      sf::Keyboard::isKeyPressed(<a class="code hl_define" href="Config_8hpp.html#af6b54ee6fce102c162d327d1d73b3a11">GG_MOVE_CAMERA_LEFT</a>)))</div>
<div class="ttc" id="aConfig_8hpp_html_a6d61fddf4ee0bb75d42bf399631e2734"><div class="ttname"><a href="Config_8hpp.html#a6d61fddf4ee0bb75d42bf399631e2734">GG_MOVE_CAMERA_UP</a></div><div class="ttdeci">#define GG_MOVE_CAMERA_UP</div><div class="ttdef"><b>Definition:</b> Config.hpp:33</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="a85df6a0893f3f70067c7b5f3ad65c539" name="a85df6a0893f3f70067c7b5f3ad65c539"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85df6a0893f3f70067c7b5f3ad65c539">&#9670;&nbsp;</a></span>GG_MOVE_CAMERA_DIAGONALLY_UP_RIGHT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_MOVE_CAMERA_DIAGONALLY_UP_RIGHT</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">    ((sf::Keyboard::isKeyPressed(<a class="code hl_define" href="Config_8hpp.html#a6d61fddf4ee0bb75d42bf399631e2734">GG_MOVE_CAMERA_UP</a>) &amp;&amp;                         \</div>
<div class="line">      sf::Keyboard::isKeyPressed(<a class="code hl_define" href="Config_8hpp.html#ab956f6b2a16dd14f7f29102ee48fb9d1">GG_MOVE_CAMERA_RIGHT</a>)))</div>
</div><!-- fragment -->
</div>
</div>
<a id="ab214afe5195680e3a83588899aa41cd2" name="ab214afe5195680e3a83588899aa41cd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab214afe5195680e3a83588899aa41cd2">&#9670;&nbsp;</a></span>GG_MOVE_CAMERA_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_MOVE_CAMERA_DOWN&#160;&#160;&#160;(sf::Keyboard::S)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af6b54ee6fce102c162d327d1d73b3a11" name="af6b54ee6fce102c162d327d1d73b3a11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6b54ee6fce102c162d327d1d73b3a11">&#9670;&nbsp;</a></span>GG_MOVE_CAMERA_LEFT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_MOVE_CAMERA_LEFT&#160;&#160;&#160;(sf::Keyboard::A)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab956f6b2a16dd14f7f29102ee48fb9d1" name="ab956f6b2a16dd14f7f29102ee48fb9d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab956f6b2a16dd14f7f29102ee48fb9d1">&#9670;&nbsp;</a></span>GG_MOVE_CAMERA_RIGHT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_MOVE_CAMERA_RIGHT&#160;&#160;&#160;(sf::Keyboard::D)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6d61fddf4ee0bb75d42bf399631e2734" name="a6d61fddf4ee0bb75d42bf399631e2734"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d61fddf4ee0bb75d42bf399631e2734">&#9670;&nbsp;</a></span>GG_MOVE_CAMERA_UP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_MOVE_CAMERA_UP&#160;&#160;&#160;(sf::Keyboard::W)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a860222dded3c5b0c1d9fd97f8b973e22" name="a860222dded3c5b0c1d9fd97f8b973e22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a860222dded3c5b0c1d9fd97f8b973e22">&#9670;&nbsp;</a></span>GG_PAUSE_GAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_PAUSE_GAME&#160;&#160;&#160;(sf::Keyboard::Escape)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a136269eea328d2d0c2a154ae46dfc8f9" name="a136269eea328d2d0c2a154ae46dfc8f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a136269eea328d2d0c2a154ae46dfc8f9">&#9670;&nbsp;</a></span>GG_PLACE_TILE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_PLACE_TILE&#160;&#160;&#160;(sf::Mouse::Right)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adabb0747134e3860e29e4daefa69d0e1" name="adabb0747134e3860e29e4daefa69d0e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adabb0747134e3860e29e4daefa69d0e1">&#9670;&nbsp;</a></span>GG_RESOURCES_FONTS_FILENAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_FONTS_FILENAME&#160;&#160;&#160;(std::string(&quot;Fonts.xml&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f52b7f0291ff8218ce7045813cc9ab9" name="a2f52b7f0291ff8218ce7045813cc9ab9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f52b7f0291ff8218ce7045813cc9ab9">&#9670;&nbsp;</a></span>GG_RESOURCES_IMAGES_FILENAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_IMAGES_FILENAME&#160;&#160;&#160;(std::string(&quot;Images.xml&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8fe93b2e738d9e1982cb6ba13873387a" name="a8fe93b2e738d9e1982cb6ba13873387a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fe93b2e738d9e1982cb6ba13873387a">&#9670;&nbsp;</a></span>GG_RESOURCES_MAP_DEFAULT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_MAP_DEFAULT&#160;&#160;&#160;(std::string(&quot;maps/DefaultMap.xml&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afaa390ccb720d0cd038f0189d31d6ac1" name="afaa390ccb720d0cd038f0189d31d6ac1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaa390ccb720d0cd038f0189d31d6ac1">&#9670;&nbsp;</a></span>GG_RESOURCES_MUSIC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_MUSIC&#160;&#160;&#160;(std::string(&quot;music/music1.wav&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="add78e49e1f3abaf2cec1a851aaa59982" name="add78e49e1f3abaf2cec1a851aaa59982"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add78e49e1f3abaf2cec1a851aaa59982">&#9670;&nbsp;</a></span>GG_RESOURCES_PATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_PATH&#160;&#160;&#160;(std::string(&quot;resources/&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac9f79fc2b8132a26ffc2e8c762e41c38" name="ac9f79fc2b8132a26ffc2e8c762e41c38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9f79fc2b8132a26ffc2e8c762e41c38">&#9670;&nbsp;</a></span>GG_RESOURCES_SAVE_BEOGRAD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_SAVE_BEOGRAD&#160;&#160;&#160;(std::string(&quot;saves/Beograd.xml&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acd382640b1e15deef66c01d00188c739" name="acd382640b1e15deef66c01d00188c739"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd382640b1e15deef66c01d00188c739">&#9670;&nbsp;</a></span>GG_RESOURCES_SAVE_BLACE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_SAVE_BLACE&#160;&#160;&#160;(std::string(&quot;saves/Blace.xml&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ad9275fad99783624dbbf2299521174" name="a2ad9275fad99783624dbbf2299521174"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ad9275fad99783624dbbf2299521174">&#9670;&nbsp;</a></span>GG_RESOURCES_SAVE_POZAREVAC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_SAVE_POZAREVAC&#160;&#160;&#160;(std::string(&quot;saves/Pozarevac.xml&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6e256990e55be1d6c0e20dba15e1f26" name="ae6e256990e55be1d6c0e20dba15e1f26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6e256990e55be1d6c0e20dba15e1f26">&#9670;&nbsp;</a></span>GG_RESOURCES_SAVE_TRSTENIK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_SAVE_TRSTENIK&#160;&#160;&#160;(std::string(&quot;saves/Trstenik.xml&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a52d0ff63f9b45c27f17b2b2270b2d01a" name="a52d0ff63f9b45c27f17b2b2270b2d01a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52d0ff63f9b45c27f17b2b2270b2d01a">&#9670;&nbsp;</a></span>GG_RESOURCES_SAVE_UB</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_SAVE_UB&#160;&#160;&#160;(std::string(&quot;saves/Ub.xml&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a85516d5714d022ec224092b4b8585458" name="a85516d5714d022ec224092b4b8585458"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85516d5714d022ec224092b4b8585458">&#9670;&nbsp;</a></span>GG_RESOURCES_SCENES_FILENAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_SCENES_FILENAME&#160;&#160;&#160;(std::string(&quot;Scenes.xml&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5d8b2f27350dcf8e89987c26b53b87d" name="ad5d8b2f27350dcf8e89987c26b53b87d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5d8b2f27350dcf8e89987c26b53b87d">&#9670;&nbsp;</a></span>GG_RESOURCES_STYLE_FILENAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_STYLE_FILENAME&#160;&#160;&#160;(std::string(&quot;Style.xml&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adb3293eeb31d3b7cd1fef2b420f8e60a" name="adb3293eeb31d3b7cd1fef2b420f8e60a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb3293eeb31d3b7cd1fef2b420f8e60a">&#9670;&nbsp;</a></span>GG_RESOURCES_TEXTURES_FILENAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_RESOURCES_TEXTURES_FILENAME&#160;&#160;&#160;(std::string(&quot;Textures.xml&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2fd259662376330e341897ec0855febe" name="a2fd259662376330e341897ec0855febe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fd259662376330e341897ec0855febe">&#9670;&nbsp;</a></span>GG_ROTATE_TILE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_ROTATE_TILE&#160;&#160;&#160;(sf::Keyboard::R)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7a8ca1eb30ce83e20be112cdcf607f7" name="ab7a8ca1eb30ce83e20be112cdcf607f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7a8ca1eb30ce83e20be112cdcf607f7">&#9670;&nbsp;</a></span>GG_SAVE_GAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_SAVE_GAME</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">    ((sf::Keyboard::isKeyPressed(sf::Keyboard::LControl) &amp;&amp;                    \</div>
<div class="line">      sf::Keyboard::isKeyPressed(sf::Keyboard::S)))</div>
</div><!-- fragment -->
</div>
</div>
<a id="a2aaffebc61434437c93750dd8251a1b8" name="a2aaffebc61434437c93750dd8251a1b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2aaffebc61434437c93750dd8251a1b8">&#9670;&nbsp;</a></span>GG_TEST_SCENE_NODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_TEST_SCENE_NODE</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7182ef844ed986db214622b12069ccf4" name="a7182ef844ed986db214622b12069ccf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7182ef844ed986db214622b12069ccf4">&#9670;&nbsp;</a></span>GG_WINDOW_HEIGHT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_WINDOW_HEIGHT&#160;&#160;&#160;(800)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7c4ee6df9bbadc873d430d4fd7eba4d" name="ae7c4ee6df9bbadc873d430d4fd7eba4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7c4ee6df9bbadc873d430d4fd7eba4d">&#9670;&nbsp;</a></span>GG_WINDOW_TITLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_WINDOW_TITLE&#160;&#160;&#160;(std::string(&quot;Graditelj Gradova&quot;))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a11114738dac7e4b6f9158d87a8531007" name="a11114738dac7e4b6f9158d87a8531007"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11114738dac7e4b6f9158d87a8531007">&#9670;&nbsp;</a></span>GG_WINDOW_VERTICAL_SYNC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_WINDOW_VERTICAL_SYNC</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a703b3a9d46933243c86e843750a39520" name="a703b3a9d46933243c86e843750a39520"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a703b3a9d46933243c86e843750a39520">&#9670;&nbsp;</a></span>GG_WINDOW_WIDTH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_WINDOW_WIDTH&#160;&#160;&#160;(1200)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
